summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author klaatu2022-03-06 12:20:02 +0100
committer Willy Sudiarto Raharjo2022-03-07 02:45:26 +0100
commit55a375b1a9dac7745653e1e1bb9a9ee24c32f4af (patch)
tree205c3ef685ab517a8b6dd6ae31b64c1628ab6e0c
parentd12d019fcd7569c6fa6eea346614813e9386f059 (diff)
downloadslackbuilds-55a375b1a9dac7745653e1e1bb9a9ee24c32f4af.tar.gz
graphics/mypaint-brushes2: Added.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--graphics/mypaint-brushes2/README4
-rw-r--r--graphics/mypaint-brushes2/mypaint-brushes2.SlackBuild96
-rw-r--r--graphics/mypaint-brushes2/mypaint-brushes2.info10
-rw-r--r--graphics/mypaint-brushes2/slack-desc19
4 files changed, 129 insertions, 0 deletions
diff --git a/graphics/mypaint-brushes2/README b/graphics/mypaint-brushes2/README
new file mode 100644
index 0000000000..cc6df1a68f
--- /dev/null
+++ b/graphics/mypaint-brushes2/README
@@ -0,0 +1,4 @@
+Mypaint brushes for Mypaint and applications using Mypaint brushes
+
+This package does not interfere with the mypaint-brushes package
+installed by default with Slackware.
diff --git a/graphics/mypaint-brushes2/mypaint-brushes2.SlackBuild b/graphics/mypaint-brushes2/mypaint-brushes2.SlackBuild
new file mode 100644
index 0000000000..124db729d3
--- /dev/null
+++ b/graphics/mypaint-brushes2/mypaint-brushes2.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/bash
+
+# Slackware build script for mypaint-brushes
+# Copyright 2022 Klaatu <klaatu@member.fsf.org>
+
+# GNU All-Permissive License
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved. This file is offered as-is,
+# without any warranty.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=mypaint-brushes2
+SRCNAM=mypaint-brushes
+VERSION=${VERSION:-2.0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script reports what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+ARCH=noarch
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+aclocal
+autoconf
+automake --add-missing
+
+#CFLAGS="$SLKCFLAGS" \
+#CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/mypaint-brushes2/mypaint-brushes2.info b/graphics/mypaint-brushes2/mypaint-brushes2.info
new file mode 100644
index 0000000000..876b1aaada
--- /dev/null
+++ b/graphics/mypaint-brushes2/mypaint-brushes2.info
@@ -0,0 +1,10 @@
+PRGNAM="mypaint-brushes2"
+VERSION="2.0.2"
+HOMEPAGE="https://github.com/mypaint/mypaint-brushes"
+DOWNLOAD="https://github.com/mypaint/mypaint-brushes/archive/v2.0.2/mypaint-brushes-2.0.2.tar.gz"
+MD5SUM="d441492413f579234b67a348ef16ed52"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Klaatu"
+EMAIL="klaatu@member.fsf.org"
diff --git a/graphics/mypaint-brushes2/slack-desc b/graphics/mypaint-brushes2/slack-desc
new file mode 100644
index 0000000000..8658e90d42
--- /dev/null
+++ b/graphics/mypaint-brushes2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mypaint-brushes: mypaint-brushes2 (brushes for libmypaint)
+mypaint-brushes:
+mypaint-brushes: Brushes used by MyPaint and other software using libmypaint.
+mypaint-brushes:
+mypaint-brushes: Homepage: https://github.com/mypaint/mypaint-brushes
+mypaint-brushes:
+mypaint-brushes:
+mypaint-brushes:
+mypaint-brushes:
+mypaint-brushes:
+mypaint-brushes: \ No newline at end of file